org.springframework.format.datetime.joda

## Class ReadablePartialPrinter

- java.lang.Object
- - org.springframework.format.datetime.joda.ReadablePartialPrinter

- All Implemented Interfaces:
    Printer<ReadablePartial>

      public final class ReadablePartialPrinter
      extends Object
      implements Printer<ReadablePartial>

  Prints JodaTime `ReadablePartial` instances using a `DateTimeFormatter`.
  Since:
    3.0
  Author:
    Keith Donald

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadablePartialPrinter(DateTimeFormatter formatter)` Create a new ReadableInstantPrinter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `print(ReadablePartial partial, Locale locale)` Print the object of type T for display.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadablePartialPrinter

          public ReadablePartialPrinter(DateTimeFormatter formatter)

      Create a new ReadableInstantPrinter.
      Parameters:
        `formatter` - the Joda DateTimeFormatter instance

  - ### Method Detail

    - #### print

          public String print(ReadablePartial partial,
                     Locale locale)

      Description copied from interface: `Printer`
      Print the object of type T for display.
      Specified by:
        `print` in interface `Printer<ReadablePartial>`
      Parameters:
        `partial` - the instance to print
        `locale` - the current user locale
      Returns:
        the printed text string